[Development] Requiring minimum GCC 7/MinGW (was: Dropping MinGW support in Qt 6 (Was: HEADS-UP: QStringLiteral))

Thiago Macieira thiago.macieira at intel.com
Thu Aug 22 22:46:25 CEST 2019


On Thursday, 22 August 2019 12:05:39 PDT Danila Malyutin wrote:
> Isn't it already the case:  https://doc.qt.io/qt-5/supported-platforms.html
>  ?

Looks like it.

I'll dust-off the Q_THREAD_LOCAL patch and send it off through the CI. If any 
platform can't compile it, we'll just remove the platform from the rotation 
until they properly implement C++11 thraed_local.

-- 
Thiago Macieira - thiago.macieira (AT) intel.com
  Software Architect - Intel System Software Products





More information about the Development mailing list